/**************************************************************************\
 *  aRT : API R - TerraLib                                                *
 *  Copyright (C) 2003-2007  LEG                                          *
 *                                                                        *
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *  the Free Software Foundation; either version 2 of the License, or     *
 *  (at your option) any later version.                                   *
 *                                                                        *
 *  This program is distributed in the hope that it will be useful,       *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *  GNU General Public License for more details.                          *
 *                                                                        *
 *  You should have received a copy of the GNU Lesser General Public      *
 *  License along with this library.                                      *
\**************************************************************************/

#include "aRTnetwork.h"
#include "SEXPbasic.h"
#include "SEXPutils.h"

#include <sstream>

extern "C" {

aRTnetwork::aRTnetwork(SEXP spdata)
{
	PrintSilent("Creating the network ... ");
	Network = new TeGraphNetwork(); 
	PrintSilentYes;
}

aRTnetwork::~aRTnetwork()
{
	delete Network;
}

SEXP aRTnetwork::AddLines(SEXP data, aRTgeometry* geom)
{
    data = GetListElement(data, "weight");

    SEXP ids    = GetListElement(data, "id");
    SEXP weight = GetListElement(data, "weight");

	TeLineSet ls = geom->GetTeLineSet();
	map<string, double> line_costs;

	PrintSilent("Preparing the data ... ");
	for(int i = 0; i < ls.size(); i++)
	{
		line_costs[CHAR(STRING_ELT(ids,i))] = REAL(weight)[i];
	}
	PrintSilentYes;

	PrintSilent("Adding %i lines to the network ... ", ls.size());
	Network->Add(ls, line_costs);
	PrintSilentYes;

	return RNULL;
}

SEXP aRTnetwork::Summary()
{

}

SEXP aRTnetwork::Print()
{
	stringstream s;
    s << artOBJECT("aRTnetwork") << "\n\n" << endl;
	
	Rprintf( StreamToChar(s) );
	return RNULL;
}

}

