/**************************************************************************\
 *  aRT : API R - TerraLib                                                *
 *  Copyright (C) 2003-2007  LEG                                          *
 *                                                                        *
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *  the Free Software Foundation; either version 2 of the License, or     *
 *  (at your option) any later version.                                   *
 *                                                                        *
 *  This program is distributed in the hope that it will be useful,       *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *  GNU General Public License for more details.                          *
 *                                                                        *
 *  You should have received a copy of the GNU Lesser General Public      *
 *  License along with this library.                                      *
\**************************************************************************/

#ifndef ART_NETWORK_H_
#define ART_NETWORK_H_

#include "SEXPutils.h"
#include "aRTcomponent.h"
#include "aRTgeometry.h"

#include <TeNetwork.h>

extern "C" {

class aRTtheme;

class aRTnetwork : public aRTcomponent
{
	public:
		aRTnetwork(SEXP spdata);
		~aRTnetwork();

		SEXP AddLines(SEXP data, aRTgeometry* geom); 
		
		SEXP Summary();
		SEXP Print(); 
		string Class()           { return "aRTnetwork"; }
		bool IsValid()           { return true;         }
		SEXP List()              { return RNULL;        }
		aRTcomponent* Open(SEXP) { return NULL;         }
		TeGraphNetwork* GetNet() { return Network;      }
	private:
		TeGraphNetwork* Network;
};

}

#endif

